OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.PointParameters

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBPointParameters :: MonadIO m => m Bool
- gl_ARB_point_parameters :: Bool
- gl_POINT_DISTANCE_ATTENUATION_ARB :: GLenum
- gl_POINT_FADE_THRESHOLD_SIZE_ARB :: GLenum
- gl_POINT_SIZE_MAX_ARB :: GLenum
- gl_POINT_SIZE_MIN_ARB :: GLenum
- glPointParameterfARB :: MonadIO m => GLenum -> GLfloat -> m ()
- glPointParameterfvARB :: MonadIO m => GLenum -> Ptr GLfloat -> m ()

# Extension Support

glGetARBPointParameters :: MonadIO m => m Bool

Is the ARB_point_parameters extension supported?

gl_ARB_point_parameters :: Bool

Is the ARB_point_parameters extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBPointParameters` in those cases instead.

# Enums

gl_POINT_DISTANCE_ATTENUATION_ARB :: GLenum

gl_POINT_FADE_THRESHOLD_SIZE_ARB :: GLenum

gl_POINT_SIZE_MAX_ARB :: GLenum

gl_POINT_SIZE_MIN_ARB :: GLenum

# Functions

glPointParameterfARB

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `PointParameterNameARB`.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

This command is an alias for `glPointParameterf`.

glPointParameterfvARB

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `PointParameterNameARB`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

This command is an alias for `glPointParameterfv`.